Loading...
Searching...
No Matches
ProcessPtr Class Reference

`#include <ParallelThread.h>`

Inheritance diagram for ProcessPtr:

## Public Member Functions

| ProcessPtr ()
template<class C, void(C::*)() Function>
void | set (C *instance)
template<uint32_t s, class C, void(C::*)() Function>
void | set (C *instance)
void | setProcessor (uint32_t i_)
void | process () const
void | dummyFunc ()

## Private Types

typedef void * | InstancePtr
typedef void(* | MemberFunc) (InstancePtr)

## Static Private Member Functions

template<class C, void(C::*)() Function>
static void | wrap (InstancePtr instance)

## Private Attributes

InstancePtr | instPtr [2]
MemberFunc | memberFunc [2]
uint32_t | i

## Detailed Description

Definition at line 83 of file ParallelThread.h.

## Member Typedef Documentation

## InstancePtr

typedef void* ProcessPtr::InstancePtr

private

Definition at line 115 of file ParallelThread.h.

## MemberFunc

typedef void(* ProcessPtr::MemberFunc) (InstancePtr)

private

Definition at line 116 of file ParallelThread.h.

## Constructor & Destructor Documentation

## ProcessPtr()

ProcessPtr::ProcessPtr | ( |  | ) |

inline

Definition at line 86 of file ParallelThread.h.

## Member Function Documentation

## dummyFunc()

void ProcessPtr::dummyFunc | ( |  | ) |

inline

Definition at line 112 of file ParallelThread.h.

## process()

void ProcessPtr::process | ( |  | ) | const

inline

Definition at line 108 of file ParallelThread.h.

Referenced by ParallelThread::run().

## set() [1/2]

template<uint32_t s, class C, void(C::*)() Function>

void ProcessPtr::set | ( | C * | instance | ) |

inline

Definition at line 99 of file ParallelThread.h.

## set() [2/2]

template<class C, void(C::*)() Function>

void ProcessPtr::set | ( | C * | instance | ) |

inline

Definition at line 93 of file ParallelThread.h.

Referenced by ProcessPtr(), and ParallelThread::stop().

## setProcessor()

void ProcessPtr::setProcessor | ( | uint32_t | i_ | ) |

inline

Definition at line 104 of file ParallelThread.h.

## wrap()

template<class C, void(C::*)() Function>

void ProcessPtr::wrap | ( | InstancePtr | instance | ) |

inline static private

Definition at line 119 of file ParallelThread.h.

Referenced by set().

## Member Data Documentation

## i

uint32_t ProcessPtr::i

private

Definition at line 126 of file ParallelThread.h.

Referenced by process(), ProcessPtr(), set(), and setProcessor().

## instPtr

InstancePtr ProcessPtr::instPtr[2]

private

Definition at line 124 of file ParallelThread.h.

Referenced by process(), and set().

## memberFunc

MemberFunc ProcessPtr::memberFunc[2]

private

Definition at line 125 of file ParallelThread.h.

Referenced by process(), and set().

The documentation for this class was generated from the following file:

- src/headers/ParallelThread.h